frontend:
  - path: client.go
    main: |-
      Fichier Go
      Fonctions : main
  - path: config.json
    main: |-
      Fichier JSON
      Clés : app, version
      Valeurs : app: "test", version: 1
  - path: data.yaml
    main: |-
      Fichier YAML
      Clés racine : users
      Valeurs : users: [{"name":"Alice"},{"name":"Bob"}]
  - path: home.html
    main: |-
      {
        "lang": "html",
        "file": "/tmp/arbo-1753444565495/front/home.html",
        "tags": [
          "html",
          "head",
          "title",
          "body"
        ],
        "ids": [],
        "classes": [],
        "comments": []
      }
  - path: index.php
    main: |-
      Fichier PHP
      Fonctions : hello
  - path: main.java
    main: |-
      Fichier Java
      Fonctions : aucune
  - path: main.js
    main: |-
      Fichier JS
      Fonctions : hello
      Commentaires : JS
  - path: notes.txt
    main: |-
      Fichier TXT
      Lignes : 2
      Commentaires (préview) : Ceci est un fichier texte. | Deuxième ligne.
  - path: script.py
    main: |-
      Fichier Python
      Fonctions : greet
      Commentaires : Python
  - path: styles.css
    main: |-
      {
        "lang": "css",
        "file": "/tmp/arbo-1753444565495/front/styles.css",
        "selectors": [
          "body"
        ],
        "classes": [],
        "ids": [],
        "comments": []
      }
  - path: user.cs
    main: |-
      Fichier C#
      Fonctions : Main
      Classes : User
backend:
  - path: App.java
    main: |-
      Fichier Java
      Fonctions : aucune
  - path: admin.css
    main: |-
      {
        "lang": "css",
        "file": "/tmp/arbo-1753444565495/back/admin.css",
        "selectors": [
          "h1"
        ],
        "classes": [],
        "ids": [],
        "comments": []
      }
  - path: admin.html
    main: |-
      {
        "lang": "html",
        "file": "/tmp/arbo-1753444565495/back/admin.html",
        "tags": [
          "html",
          "head",
          "title",
          "body"
        ],
        "ids": [],
        "classes": [],
        "comments": []
      }
  - path: api.php
    main: |-
      Fichier PHP
      Fonctions : api
  - path: db.cs
    main: |-
      Fichier C#
      Fonctions : aucune
      Classes : DB
  - path: empty.txt
    main: |-
      Fichier TXT
      Lignes : 1
  - path: secrets.json
    main: |-
      Fichier JSON
      Clés : password
      Valeurs : password: "1234"
  - path: secrets.yaml
    main: |-
      Fichier YAML
      Clés racine : secret
      Valeurs : secret: "verysecret"
  - path: server.js
    main: |-
      Fichier JS
      Fonctions : aucune
      Commentaires : JS Backend
  - path: service.py
    main: |-
      Fichier Python
      Fonctions : process
      Commentaires : Python Backend
  - path: utils.go
    main: |-
      Fichier Go
      Fonctions : Util
